| Home | Libraries | People | FAQ | More

## Struct back

boost::xpressive::op::back

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    struct back {
      // member classes/structs/unions
      template<typename Sig>
      struct result {
      };
      template<typename This, typename Sequence>
      struct result<This(Sequence)> {
        // types
        typedef remove_reference< Sequence >::type                                                                                              sequence_type;
        typedef mpl::if_c< is_const< sequence_type >::value, typename sequence_type::const_reference, typename sequence_type::reference >::type type;
      };

      // public data members
      result< back(Sequence &)>::type operator();
    };

## Description